Subject: Re: Detailed review of "Analysis of the 64-bit Boundary in IPv6 Addressing"

From: RJ Atkinson <[email-masked]>
Date: Wed, 6 Aug 2014 08:52:37 -0400

On August 5th 2014, David Farmer wrote, in part:
> Yes, we should do the math for them. ...the important concept
> to communicate is the vast majority of IPv6 addresses space is reserved.

I agree that it is very helpful to explicitly provide an
(approximate) fraction to indicate that the vast majority 
of IPv6 address space is reserved.

Purely by way of example, I am comfortable with text of the form 
"close to X/Y of the address space is reserved at present" 
or "approximately X/Y of the address space is reserved at present".

ALSO, I think we need to make clear that of the non-reserved
global unicast address space, the vast majority of that also
is not yet allocated.

In short, the document ought to be crystal clear that we are in
no serious danger of running out of IPv6 address space.  While
thoughtful management is always sensible, we really do have enough 
IPv6 address space that users really ought to be delegated enough
global unicast addresses for internal subnetting - by delegating 
IPv6 routing prefixes shorter than /64 (e.g. while retaining support 
for SLAAC).

Yours,

Ran Atkinson

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 07 Aug 2014 09:59:08 +1200

> global unicast address space, the vast majority of that also

Agreed, but that is a moving target so this has to be phrased
with care.

> IPv6 routing prefixes shorter than /64 (e.g. while retaining support 

I agree, but I'd personally like the text to be as objective as possible,
since the actual allocation policy is in the hands of IANA and the RIRs.
We do already refer to RFC6177, which discusses this topic.

   Brian

> 
> Yours,
> 
> Ran Atkinson
> 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>